
//
// Copyright 2008-2010 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Network for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//


import com.aspose.network.outlook.MapiMessage;
import com.aspose.network.outlook.pst.*;

public class ReadPersonalStorage {

    /**
    * @param args
    */
    public static void main(String[] args) throws Exception {
        PersonalStorage pst = PersonalStorage.fromFile("Outlook.pst");
        {
            System.out.println("Display Name: " + pst.getDisplayName());
            System.out.println("Has SubFolders: " + pst.getRootFolder().hasSubFolders());
            FolderInfoCollection folderInfoCollection = pst.getRootFolder().getSubFolders();
            System.out.println("Folders count: " + folderInfoCollection.size());
            for (FolderInfo folderInfo : folderInfoCollection) {
                System.out.println("  Folder: " + folderInfo.getDisplayName());
                MessageInfoCollection messageInfoCollection = folderInfo.getContents();
                System.out.println("  Messages count: " + messageInfoCollection.size());
                for (MessageInfo messageInfo : messageInfoCollection) {
                    System.out.println("    " + messageInfo.getSubject());
                    MapiMessage message = pst.extractMessage(messageInfo);
                    // save this message to disk in msg format
                    // message.Save();
                }
            }
        }
    }

}
